#ifndef  ACTMGR_H
#define  ACTMGR_H

#include <containers/vec_.h>
#include "action.h"

#define	ACTMGR_TIME_INFINITY { 0, 0, 0 }

typedef struct {
	Vec actions;
} ActMgr;

void init_ActMgr( ActMgr* actmgr );
void addAction_ActMgr( ActMgr* actmgr, Action* action );
void process_ActMgr( ActMgr* actmgr, const Time* time );
void detachAction_ActMgr( ActMgr* actmgr, actionf function );

#endif   /* ACTMGR_H */
