#include "interpol.h"

Vector3f calculate_LERP3f( const Vector3f* v0, const Vector3f* v1, float t ) {
	Vector3f res;
	res.x = v0->x + (v1->x - v0->x)*t;
	res.y = v0->y + (v1->y - v0->y)*t;
	res.z = v0->z + (v1->z - v0->z)*t;
	
	return res;
}

