#ifndef MATERIAL_H
#define MATERIAL_H

#include <math/vector.h>
#include "texture.h"

typedef struct {
	Vector3f	color;
	Texture*	tex;
} Material;

void copy_Material( Material* dst, const Material* src );
void setColor_Material(Material* material, float r, float g, float b);

#endif	/* MATERIAL_H */
