#ifndef CAMERA_H
#define CAMERA_H

typedef struct {
	float	fovy;
	float	near;
	float	far;
} Camera;

void init_Camera( Camera* camera );
void destroy_Camera( Camera* camera );
void setParams_Camera( Camera* camera, float fovy, float near, float far );
float getFOVY_Camera( const Camera* camera );
float getNear_Camera( const Camera* camera );
float getFar_Camera( const Camera* camera );

#endif	/* CAMERA_H */

