#include "texture.h"

void copy_Texture( Texture* texture, const Texture* source ) {
	*texture = *source;
}

void destroy_Texture( Texture* texture ) {
	if(texture) {}
}

inline uint32_t getPixelCount_Texture( const Texture* texture ) {
	return texture->width*texture->height;
}

inline uint16_t getWidth_Texture( const Texture* texture ) {
	return texture->width;
}

inline uint16_t getHeight_Texture( const Texture* texture ) {
	return texture->height;
}

inline uint8_t getBytesPerPixel_Texture( const Texture* texture ) {
	switch(getFormat_Texture(texture)) {
		case TEXTURE_FMT_RGBA16:
			return 2;
		case TEXTURE_FMT_RGBA32:
			return 4;
		default:
			return -1;
	}
}

inline TextureFormat getFormat_Texture( const Texture* texture ) {
	return texture->fmt;
}

inline void* getPixels_Texture( const Texture* texture ) {
	return texture->pixels;
}

