#ifndef LAYER_H
#define LAYER_H

#include <containers/vec_.h>
//#include "vertex.h"
#include "face.h"
#include "material.h"

typedef struct {
	Vec		vts;
	Vec		faces;
	Material*	material;
} Layer;

void layerConstruct(Layer* layer);
void layerDestroy(Layer* layer);
void layerSetMaterial(Layer* layer, Material* material);

#endif	/* LAYER_H */

