#ifndef MESH_H
#define MESH_H

#include <myheader.h>
#include <containers/vec_.h>
#include "layer.h"
#include "vertex.h"

typedef struct {
	Vec	vpairs;
	Vec	layers;
} Mesh;

/* interface */
void init_Mesh( Mesh* self, const Pair* pairs );
void destroy_Mesh( Mesh* mesh );

#endif	/* MESH_H */

