#ifndef	DISPLAYLIST_H
#define	DISPLAYLIST_H

#include <ultra64.h>
#include <types.h>
#include <containers/vec_.h>

/* structures */
typedef struct {
	Vec	gfx;
} NativeDL;

/* interface */
NativeDL* new_NativeDL( void );
void init_NativeDL( NativeDL* dl );
Gfx* getHead_NativeDL( NativeDL* dl );
uint16_t getLength_NativeDL( const NativeDL* dl );
void resetCounter_NativeDL( NativeDL* dl );
void addCommand_NativeDL_( NativeDL* dl, Gfx cmd );
void addCommands_NativeDL_( NativeDL* dl, Gfx cmd[], uint8_t n );
bool isOverflowed_NativeDL( NativeDL* dl );

#define addCommand_NativeDL(dl, cmd)						\
{									\
	Gfx commands[] = {cmd};						\
	addCommands_NativeDL_(dl, commands, sizeof(commands)/sizeof(Gfx));	\
}

#endif   /* DISPLAYLIST_H */

