OUTPUT_FORMAT("elf32-bigmips")
OUTPUT_ARCH(mips)

EXTERN(__init)
ENTRY(__init)

SECTIONS
{
	. = 0x80000400;
	.text : {
		FILL(0xaa)
		/*_gp = ALIGN(16);*/
		*(.initialization)
		*(.text) 
	}
	
	.rodata : {
		*(.rodata /*.rodata.* .gnu.linkonce.r.**/)
	}
/*
	.rodata1 : {
		*(.rodata1)
	}

	.sdata2 : {
		*(.sdata2 .sdata2.* .gnu.linkonce.s2.*)
	}

	.sbss2 : {
		*(.sbss2 .sbss2.* .gnu.linkonce.sb2.*)
	}

	.jcr : {
		KEEP(*(.jcr))
	}

	.data.rel.ro : {
		*(.data.rel.ro.local* .gnu.linkonce.d.rel.ro.local.*)
		*(.data.rel.ro .data.rel.ro.* .gnu.linkonce.d.rel.ro.*)
	}
*/
	.data : {
		*(.data /*.data.* .gnu.linkonce.d.**/)
	}
/*
	.data1 : {
		*(.data1)
	}
	
	.got.plt : {
		*(.got.plt)
	}

	HIDDEN(_gp = ALIGN(16) + 0x7FFF0);

	.got : {
		*(.got)
	}
*/
	.sdata : { 
		_gp = ALIGN(16);
		*(.sdata /*.sdata.* .gnu.linkonce.s.**/)
	}
/*
	.lit8 : {
		*(.lit8)
	}

	.lit4 : {
		*(.lit4)
	}
*/
	__bss_start = .;
	.sbss : {
		/**(.dynsbss)*/
		*(.sbss /*.sbss.* .gnu.linkonce.sb.**/)
		/**(.scommon)*/
	}

	.bss : {
		/**(.dynbss)*/
		*(.bss /*.bss.* .gnu.linkonce.b.**/)
		/**(COMMON)*/
	}
	
	. = ALIGN(16);
	__bss_end = .;
	
	ASSERT(. < 0x80100000, "oops! too much stuff!")
}
