#include "myheader.h"

static Vtx vts0[] = {
	{
		{ { 125, 0, 0 }, 0, { 0, 0 }, { 0x73, 0x00, 0x00, 0xff } }
	},
	{
		{ { 117, -17, 0 }, 0, { 0, 0 }, { 0x51, 0xae, 0x00, 0xff } }
	},
	{
		{ { 100, -25, 0 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 82, -17, 0 }, 0, { 0, 0 }, { 0xaf, 0xae, 0x00, 0xff } }
	},
	{
		{ { 75, 0, 0 }, 0, { 0, 0 }, { 0x8d, 0x00, 0x00, 0xff } }
	},
	{
		{ { 82, 17, 0 }, 0, { 0, 0 }, { 0xaf, 0x52, 0x00, 0xff } }
	},
	{
		{ { 100, 25, 0 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 117, 17, 0 }, 0, { 0, 0 }, { 0x51, 0x52, 0x00, 0xff } }
	},
	{
		{ { 115, 0, 47 }, 0, { 0, 0 }, { 0x6a, 0x00, 0xd4, 0xff } }
	},
	{
		{ { 108, -17, 45 }, 0, { 0, 0 }, { 0x4b, 0xae, 0xe1, 0xff } }
	},
	{
		{ { 92, -25, 38 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 76, -17, 31 }, 0, { 0, 0 }, { 0xb5, 0xae, 0x1f, 0xff } }
	},
	{
		{ { 69, 0, 28 }, 0, { 0, 0 }, { 0x96, 0x00, 0x2c, 0xff } }
	},
	{
		{ { 76, 17, 31 }, 0, { 0, 0 }, { 0xb5, 0x52, 0x1f, 0xff } }
	},
	{
		{ { 92, 25, 38 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 108, 17, 45 }, 0, { 0, 0 }, { 0x4b, 0x52, 0xe1, 0xff } }
	},
	{
		{ { 88, 0, 88 }, 0, { 0, 0 }, { 0x51, 0x00, 0xaf, 0xff } }
	},
	{
		{ { 83, -17, 83 }, 0, { 0, 0 }, { 0x39, 0xae, 0xc7, 0xff } }
	},
	{
		{ { 70, -25, 70 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 58, -17, 58 }, 0, { 0, 0 }, { 0xc7, 0xae, 0x39, 0xff } }
	},
	{
		{ { 53, 0, 53 }, 0, { 0, 0 }, { 0xaf, 0x00, 0x51, 0xff } }
	},
	{
		{ { 58, 17, 58 }, 0, { 0, 0 }, { 0xc7, 0x52, 0x39, 0xff } }
	},
	{
		{ { 70, 25, 70 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 83, 17, 83 }, 0, { 0, 0 }, { 0x39, 0x52, 0xc7, 0xff } }
	},
	{
		{ { 47, 0, 115 }, 0, { 0, 0 }, { 0x2c, 0x00, 0x96, 0xff } }
	},
	{
		{ { 45, -17, 108 }, 0, { 0, 0 }, { 0x1f, 0xae, 0xb5, 0xff } }
	},
	{
		{ { 38, -25, 92 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 31, -17, 76 }, 0, { 0, 0 }, { 0xe1, 0xae, 0x4b, 0xff } }
	},
	{
		{ { 28, 0, 69 }, 0, { 0, 0 }, { 0xd4, 0x00, 0x6a, 0xff } }
	},
	{
		{ { 31, 17, 76 }, 0, { 0, 0 }, { 0xe1, 0x52, 0x4b, 0xff } }
	},
	{
		{ { 38, 25, 92 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 45, 17, 108 }, 0, { 0, 0 }, { 0x1f, 0x52, 0xb5, 0xff } }
	},
	{
		{ { 0, 0, 125 }, 0, { 0, 0 }, { 0x00, 0x00, 0x8d, 0xff } }
	},
	{
		{ { 0, -17, 117 }, 0, { 0, 0 }, { 0x00, 0xae, 0xaf, 0xff } }
	},
	{
		{ { 0, -25, 100 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 0, -17, 82 }, 0, { 0, 0 }, { 0x00, 0xae, 0x51, 0xff } }
	},
	{
		{ { 0, 0, 75 }, 0, { 0, 0 }, { 0x00, 0x00, 0x73, 0xff } }
	},
	{
		{ { 0, 17, 82 }, 0, { 0, 0 }, { 0x00, 0x52, 0x51, 0xff } }
	},
	{
		{ { 0, 25, 100 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 0, 17, 117 }, 0, { 0, 0 }, { 0x00, 0x52, 0xaf, 0xff } }
	},
	{
		{ { -47, 0, 115 }, 0, { 0, 0 }, { 0xd4, 0x00, 0x96, 0xff } }
	},
	{
		{ { -45, -17, 108 }, 0, { 0, 0 }, { 0xe1, 0xae, 0xb5, 0xff } }
	},
	{
		{ { -38, -25, 92 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { -31, -17, 76 }, 0, { 0, 0 }, { 0x1f, 0xae, 0x4b, 0xff } }
	},
	{
		{ { -28, 0, 69 }, 0, { 0, 0 }, { 0x2c, 0x00, 0x6a, 0xff } }
	},
	{
		{ { -31, 17, 76 }, 0, { 0, 0 }, { 0x1f, 0x52, 0x4b, 0xff } }
	},
	{
		{ { -38, 25, 92 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { -45, 17, 108 }, 0, { 0, 0 }, { 0xe1, 0x52, 0xb5, 0xff } }
	},
	{
		{ { -88, 0, 88 }, 0, { 0, 0 }, { 0xaf, 0x00, 0xaf, 0xff } }
	},
	{
		{ { -83, -17, 83 }, 0, { 0, 0 }, { 0xc7, 0xae, 0xc7, 0xff } }
	},
	{
		{ { -70, -25, 70 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { -58, -17, 58 }, 0, { 0, 0 }, { 0x39, 0xae, 0x39, 0xff } }
	},
	{
		{ { -53, 0, 53 }, 0, { 0, 0 }, { 0x51, 0x00, 0x51, 0xff } }
	},
	{
		{ { -58, 17, 58 }, 0, { 0, 0 }, { 0x39, 0x52, 0x39, 0xff } }
	},
	{
		{ { -70, 25, 70 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { -83, 17, 83 }, 0, { 0, 0 }, { 0xc7, 0x52, 0xc7, 0xff } }
	},
	{
		{ { -115, 0, 47 }, 0, { 0, 0 }, { 0x96, 0x00, 0xd4, 0xff } }
	},
	{
		{ { -108, -17, 45 }, 0, { 0, 0 }, { 0xb5, 0xae, 0xe1, 0xff } }
	},
	{
		{ { -92, -25, 38 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { -76, -17, 31 }, 0, { 0, 0 }, { 0x4b, 0xae, 0x1f, 0xff } }
	},
	{
		{ { -69, 0, 28 }, 0, { 0, 0 }, { 0x6a, 0x00, 0x2c, 0xff } }
	},
	{
		{ { -76, 17, 31 }, 0, { 0, 0 }, { 0x4b, 0x52, 0x1f, 0xff } }
	},
	{
		{ { -92, 25, 38 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { -108, 17, 45 }, 0, { 0, 0 }, { 0xb5, 0x52, 0xe1, 0xff } }
	},
	{
		{ { -125, 0, 0 }, 0, { 0, 0 }, { 0x8d, 0x00, 0x00, 0xff } }
	},
	{
		{ { -117, -17, 0 }, 0, { 0, 0 }, { 0xaf, 0xae, 0x00, 0xff } }
	},
	{
		{ { -100, -25, 0 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { -82, -17, 0 }, 0, { 0, 0 }, { 0x51, 0xae, 0x00, 0xff } }
	},
	{
		{ { -75, 0, 0 }, 0, { 0, 0 }, { 0x73, 0x00, 0x00, 0xff } }
	},
	{
		{ { -82, 17, 0 }, 0, { 0, 0 }, { 0x51, 0x52, 0x00, 0xff } }
	},
	{
		{ { -100, 25, 0 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { -117, 17, 0 }, 0, { 0, 0 }, { 0xaf, 0x52, 0x00, 0xff } }
	},
	{
		{ { -115, 0, -47 }, 0, { 0, 0 }, { 0x96, 0x00, 0x2c, 0xff } }
	},
	{
		{ { -108, -17, -45 }, 0, { 0, 0 }, { 0xb5, 0xae, 0x1f, 0xff } }
	},
	{
		{ { -92, -25, -38 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { -76, -17, -31 }, 0, { 0, 0 }, { 0x4b, 0xae, 0xe1, 0xff } }
	},
	{
		{ { -69, 0, -28 }, 0, { 0, 0 }, { 0x6a, 0x00, 0xd4, 0xff } }
	},
	{
		{ { -76, 17, -31 }, 0, { 0, 0 }, { 0x4b, 0x52, 0xe1, 0xff } }
	},
	{
		{ { -92, 25, -38 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { -108, 17, -45 }, 0, { 0, 0 }, { 0xb5, 0x52, 0x1f, 0xff } }
	},
	{
		{ { -88, 0, -88 }, 0, { 0, 0 }, { 0xaf, 0x00, 0x51, 0xff } }
	},
	{
		{ { -83, -17, -83 }, 0, { 0, 0 }, { 0xc7, 0xae, 0x39, 0xff } }
	},
	{
		{ { -70, -25, -70 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { -58, -17, -58 }, 0, { 0, 0 }, { 0x39, 0xae, 0xc7, 0xff } }
	},
	{
		{ { -53, 0, -53 }, 0, { 0, 0 }, { 0x51, 0x00, 0xaf, 0xff } }
	},
	{
		{ { -58, 17, -58 }, 0, { 0, 0 }, { 0x39, 0x52, 0xc7, 0xff } }
	},
	{
		{ { -70, 25, -70 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { -83, 17, -83 }, 0, { 0, 0 }, { 0xc7, 0x52, 0x39, 0xff } }
	},
	{
		{ { -47, 0, -115 }, 0, { 0, 0 }, { 0xd4, 0x00, 0x6a, 0xff } }
	},
	{
		{ { -45, -17, -108 }, 0, { 0, 0 }, { 0xe1, 0xae, 0x4b, 0xff } }
	},
	{
		{ { -38, -25, -92 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { -31, -17, -76 }, 0, { 0, 0 }, { 0x1f, 0xae, 0xb5, 0xff } }
	},
	{
		{ { -28, 0, -69 }, 0, { 0, 0 }, { 0x2c, 0x00, 0x96, 0xff } }
	},
	{
		{ { -31, 17, -76 }, 0, { 0, 0 }, { 0x1f, 0x52, 0xb5, 0xff } }
	},
	{
		{ { -38, 25, -92 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { -45, 17, -108 }, 0, { 0, 0 }, { 0xe1, 0x52, 0x4b, 0xff } }
	},
	{
		{ { 0, 0, -125 }, 0, { 0, 0 }, { 0x00, 0x00, 0x73, 0xff } }
	},
	{
		{ { 0, -17, -117 }, 0, { 0, 0 }, { 0x00, 0xae, 0x51, 0xff } }
	},
	{
		{ { 0, -25, -100 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 0, -17, -82 }, 0, { 0, 0 }, { 0x00, 0xae, 0xaf, 0xff } }
	},
	{
		{ { 0, 0, -75 }, 0, { 0, 0 }, { 0x00, 0x00, 0x8d, 0xff } }
	},
	{
		{ { 0, 17, -82 }, 0, { 0, 0 }, { 0x00, 0x52, 0xaf, 0xff } }
	},
	{
		{ { 0, 25, -100 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 0, 17, -117 }, 0, { 0, 0 }, { 0x00, 0x52, 0x51, 0xff } }
	},
	{
		{ { 47, 0, -115 }, 0, { 0, 0 }, { 0x2c, 0x00, 0x6a, 0xff } }
	},
	{
		{ { 45, -17, -108 }, 0, { 0, 0 }, { 0x1f, 0xae, 0x4b, 0xff } }
	},
	{
		{ { 38, -25, -92 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 31, -17, -76 }, 0, { 0, 0 }, { 0xe1, 0xae, 0xb5, 0xff } }
	},
	{
		{ { 28, 0, -69 }, 0, { 0, 0 }, { 0xd4, 0x00, 0x96, 0xff } }
	},
	{
		{ { 31, 17, -76 }, 0, { 0, 0 }, { 0xe1, 0x52, 0xb5, 0xff } }
	},
	{
		{ { 38, 25, -92 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 45, 17, -108 }, 0, { 0, 0 }, { 0x1f, 0x52, 0x4b, 0xff } }
	},
	{
		{ { 88, 0, -88 }, 0, { 0, 0 }, { 0x51, 0x00, 0x51, 0xff } }
	},
	{
		{ { 83, -17, -83 }, 0, { 0, 0 }, { 0x39, 0xae, 0x39, 0xff } }
	},
	{
		{ { 70, -25, -70 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 58, -17, -58 }, 0, { 0, 0 }, { 0xc7, 0xae, 0xc7, 0xff } }
	},
	{
		{ { 53, 0, -53 }, 0, { 0, 0 }, { 0xaf, 0x00, 0xaf, 0xff } }
	},
	{
		{ { 58, 17, -58 }, 0, { 0, 0 }, { 0xc7, 0x52, 0xc7, 0xff } }
	},
	{
		{ { 70, 25, -70 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 83, 17, -83 }, 0, { 0, 0 }, { 0x39, 0x52, 0x39, 0xff } }
	},
	{
		{ { 115, 0, -47 }, 0, { 0, 0 }, { 0x6a, 0x00, 0x2c, 0xff } }
	},
	{
		{ { 108, -17, -45 }, 0, { 0, 0 }, { 0x4b, 0xae, 0x1f, 0xff } }
	},
	{
		{ { 92, -25, -38 }, 0, { 0, 0 }, { 0x00, 0x8c, 0x00, 0xff } }
	},
	{
		{ { 76, -17, -31 }, 0, { 0, 0 }, { 0xb5, 0xae, 0xe1, 0xff } }
	},
	{
		{ { 69, 0, -28 }, 0, { 0, 0 }, { 0x96, 0x00, 0xd4, 0xff } }
	},
	{
		{ { 76, 17, -31 }, 0, { 0, 0 }, { 0xb5, 0x52, 0xe1, 0xff } }
	},
	{
		{ { 92, 25, -38 }, 0, { 0, 0 }, { 0x00, 0x74, 0x00, 0xff } }
	},
	{
		{ { 108, 17, -45 }, 0, { 0, 0 }, { 0x4b, 0x52, 0x1f, 0xff } }
	},
};

static Gfx drawmesh0[] = {
	gsSPVertex(&vts0[8], 1, 0),
	gsSPVertex(&vts0[9], 1, 1),
	gsSPVertex(&vts0[1], 1, 2),
	gsSPVertex(&vts0[0], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[120], 1, 0),
	gsSPVertex(&vts0[127], 1, 1),
	gsSPVertex(&vts0[7], 1, 2),
	gsSPVertex(&vts0[0], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[9], 1, 0),
	gsSPVertex(&vts0[10], 1, 1),
	gsSPVertex(&vts0[2], 1, 2),
	gsSPVertex(&vts0[1], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[121], 1, 0),
	gsSPVertex(&vts0[120], 1, 1),
	gsSPVertex(&vts0[0], 1, 2),
	gsSPVertex(&vts0[1], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[10], 1, 0),
	gsSPVertex(&vts0[11], 1, 1),
	gsSPVertex(&vts0[3], 1, 2),
	gsSPVertex(&vts0[2], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[122], 1, 0),
	gsSPVertex(&vts0[121], 1, 1),
	gsSPVertex(&vts0[1], 1, 2),
	gsSPVertex(&vts0[2], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[11], 1, 0),
	gsSPVertex(&vts0[12], 1, 1),
	gsSPVertex(&vts0[4], 1, 2),
	gsSPVertex(&vts0[3], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[123], 1, 0),
	gsSPVertex(&vts0[122], 1, 1),
	gsSPVertex(&vts0[2], 1, 2),
	gsSPVertex(&vts0[3], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[12], 1, 0),
	gsSPVertex(&vts0[13], 1, 1),
	gsSPVertex(&vts0[5], 1, 2),
	gsSPVertex(&vts0[4], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[124], 1, 0),
	gsSPVertex(&vts0[123], 1, 1),
	gsSPVertex(&vts0[3], 1, 2),
	gsSPVertex(&vts0[4], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[13], 1, 0),
	gsSPVertex(&vts0[14], 1, 1),
	gsSPVertex(&vts0[6], 1, 2),
	gsSPVertex(&vts0[5], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[125], 1, 0),
	gsSPVertex(&vts0[124], 1, 1),
	gsSPVertex(&vts0[4], 1, 2),
	gsSPVertex(&vts0[5], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[14], 1, 0),
	gsSPVertex(&vts0[15], 1, 1),
	gsSPVertex(&vts0[7], 1, 2),
	gsSPVertex(&vts0[6], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[126], 1, 0),
	gsSPVertex(&vts0[125], 1, 1),
	gsSPVertex(&vts0[5], 1, 2),
	gsSPVertex(&vts0[6], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[15], 1, 0),
	gsSPVertex(&vts0[8], 1, 1),
	gsSPVertex(&vts0[0], 1, 2),
	gsSPVertex(&vts0[7], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[127], 1, 0),
	gsSPVertex(&vts0[126], 1, 1),
	gsSPVertex(&vts0[6], 1, 2),
	gsSPVertex(&vts0[7], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[16], 1, 0),
	gsSPVertex(&vts0[17], 1, 1),
	gsSPVertex(&vts0[9], 1, 2),
	gsSPVertex(&vts0[8], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[17], 1, 0),
	gsSPVertex(&vts0[18], 1, 1),
	gsSPVertex(&vts0[10], 1, 2),
	gsSPVertex(&vts0[9], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[18], 1, 0),
	gsSPVertex(&vts0[19], 1, 1),
	gsSPVertex(&vts0[11], 1, 2),
	gsSPVertex(&vts0[10], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[19], 1, 0),
	gsSPVertex(&vts0[20], 1, 1),
	gsSPVertex(&vts0[12], 1, 2),
	gsSPVertex(&vts0[11], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[20], 1, 0),
	gsSPVertex(&vts0[21], 1, 1),
	gsSPVertex(&vts0[13], 1, 2),
	gsSPVertex(&vts0[12], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[21], 1, 0),
	gsSPVertex(&vts0[22], 1, 1),
	gsSPVertex(&vts0[14], 1, 2),
	gsSPVertex(&vts0[13], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[22], 1, 0),
	gsSPVertex(&vts0[23], 1, 1),
	gsSPVertex(&vts0[15], 1, 2),
	gsSPVertex(&vts0[14], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[23], 1, 0),
	gsSPVertex(&vts0[16], 1, 1),
	gsSPVertex(&vts0[8], 1, 2),
	gsSPVertex(&vts0[15], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[24], 1, 0),
	gsSPVertex(&vts0[25], 1, 1),
	gsSPVertex(&vts0[17], 1, 2),
	gsSPVertex(&vts0[16], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[25], 1, 0),
	gsSPVertex(&vts0[26], 1, 1),
	gsSPVertex(&vts0[18], 1, 2),
	gsSPVertex(&vts0[17], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[26], 1, 0),
	gsSPVertex(&vts0[27], 1, 1),
	gsSPVertex(&vts0[19], 1, 2),
	gsSPVertex(&vts0[18], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[27], 1, 0),
	gsSPVertex(&vts0[28], 1, 1),
	gsSPVertex(&vts0[20], 1, 2),
	gsSPVertex(&vts0[19], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[28], 1, 0),
	gsSPVertex(&vts0[29], 1, 1),
	gsSPVertex(&vts0[21], 1, 2),
	gsSPVertex(&vts0[20], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[29], 1, 0),
	gsSPVertex(&vts0[30], 1, 1),
	gsSPVertex(&vts0[22], 1, 2),
	gsSPVertex(&vts0[21], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[30], 1, 0),
	gsSPVertex(&vts0[31], 1, 1),
	gsSPVertex(&vts0[23], 1, 2),
	gsSPVertex(&vts0[22], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[31], 1, 0),
	gsSPVertex(&vts0[24], 1, 1),
	gsSPVertex(&vts0[16], 1, 2),
	gsSPVertex(&vts0[23], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[32], 1, 0),
	gsSPVertex(&vts0[33], 1, 1),
	gsSPVertex(&vts0[25], 1, 2),
	gsSPVertex(&vts0[24], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[33], 1, 0),
	gsSPVertex(&vts0[34], 1, 1),
	gsSPVertex(&vts0[26], 1, 2),
	gsSPVertex(&vts0[25], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[34], 1, 0),
	gsSPVertex(&vts0[35], 1, 1),
	gsSPVertex(&vts0[27], 1, 2),
	gsSPVertex(&vts0[26], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[35], 1, 0),
	gsSPVertex(&vts0[36], 1, 1),
	gsSPVertex(&vts0[28], 1, 2),
	gsSPVertex(&vts0[27], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[36], 1, 0),
	gsSPVertex(&vts0[37], 1, 1),
	gsSPVertex(&vts0[29], 1, 2),
	gsSPVertex(&vts0[28], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[37], 1, 0),
	gsSPVertex(&vts0[38], 1, 1),
	gsSPVertex(&vts0[30], 1, 2),
	gsSPVertex(&vts0[29], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[38], 1, 0),
	gsSPVertex(&vts0[39], 1, 1),
	gsSPVertex(&vts0[31], 1, 2),
	gsSPVertex(&vts0[30], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[39], 1, 0),
	gsSPVertex(&vts0[32], 1, 1),
	gsSPVertex(&vts0[24], 1, 2),
	gsSPVertex(&vts0[31], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[40], 1, 0),
	gsSPVertex(&vts0[41], 1, 1),
	gsSPVertex(&vts0[33], 1, 2),
	gsSPVertex(&vts0[32], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[41], 1, 0),
	gsSPVertex(&vts0[42], 1, 1),
	gsSPVertex(&vts0[34], 1, 2),
	gsSPVertex(&vts0[33], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[42], 1, 0),
	gsSPVertex(&vts0[43], 1, 1),
	gsSPVertex(&vts0[35], 1, 2),
	gsSPVertex(&vts0[34], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[43], 1, 0),
	gsSPVertex(&vts0[44], 1, 1),
	gsSPVertex(&vts0[36], 1, 2),
	gsSPVertex(&vts0[35], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[44], 1, 0),
	gsSPVertex(&vts0[45], 1, 1),
	gsSPVertex(&vts0[37], 1, 2),
	gsSPVertex(&vts0[36], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[45], 1, 0),
	gsSPVertex(&vts0[46], 1, 1),
	gsSPVertex(&vts0[38], 1, 2),
	gsSPVertex(&vts0[37], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[46], 1, 0),
	gsSPVertex(&vts0[47], 1, 1),
	gsSPVertex(&vts0[39], 1, 2),
	gsSPVertex(&vts0[38], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[47], 1, 0),
	gsSPVertex(&vts0[40], 1, 1),
	gsSPVertex(&vts0[32], 1, 2),
	gsSPVertex(&vts0[39], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[48], 1, 0),
	gsSPVertex(&vts0[49], 1, 1),
	gsSPVertex(&vts0[41], 1, 2),
	gsSPVertex(&vts0[40], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[49], 1, 0),
	gsSPVertex(&vts0[50], 1, 1),
	gsSPVertex(&vts0[42], 1, 2),
	gsSPVertex(&vts0[41], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[50], 1, 0),
	gsSPVertex(&vts0[51], 1, 1),
	gsSPVertex(&vts0[43], 1, 2),
	gsSPVertex(&vts0[42], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[51], 1, 0),
	gsSPVertex(&vts0[52], 1, 1),
	gsSPVertex(&vts0[44], 1, 2),
	gsSPVertex(&vts0[43], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[52], 1, 0),
	gsSPVertex(&vts0[53], 1, 1),
	gsSPVertex(&vts0[45], 1, 2),
	gsSPVertex(&vts0[44], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[53], 1, 0),
	gsSPVertex(&vts0[54], 1, 1),
	gsSPVertex(&vts0[46], 1, 2),
	gsSPVertex(&vts0[45], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[54], 1, 0),
	gsSPVertex(&vts0[55], 1, 1),
	gsSPVertex(&vts0[47], 1, 2),
	gsSPVertex(&vts0[46], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[55], 1, 0),
	gsSPVertex(&vts0[48], 1, 1),
	gsSPVertex(&vts0[40], 1, 2),
	gsSPVertex(&vts0[47], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[56], 1, 0),
	gsSPVertex(&vts0[57], 1, 1),
	gsSPVertex(&vts0[49], 1, 2),
	gsSPVertex(&vts0[48], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[57], 1, 0),
	gsSPVertex(&vts0[58], 1, 1),
	gsSPVertex(&vts0[50], 1, 2),
	gsSPVertex(&vts0[49], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[58], 1, 0),
	gsSPVertex(&vts0[59], 1, 1),
	gsSPVertex(&vts0[51], 1, 2),
	gsSPVertex(&vts0[50], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[59], 1, 0),
	gsSPVertex(&vts0[60], 1, 1),
	gsSPVertex(&vts0[52], 1, 2),
	gsSPVertex(&vts0[51], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[60], 1, 0),
	gsSPVertex(&vts0[61], 1, 1),
	gsSPVertex(&vts0[53], 1, 2),
	gsSPVertex(&vts0[52], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[61], 1, 0),
	gsSPVertex(&vts0[62], 1, 1),
	gsSPVertex(&vts0[54], 1, 2),
	gsSPVertex(&vts0[53], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[62], 1, 0),
	gsSPVertex(&vts0[63], 1, 1),
	gsSPVertex(&vts0[55], 1, 2),
	gsSPVertex(&vts0[54], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[63], 1, 0),
	gsSPVertex(&vts0[56], 1, 1),
	gsSPVertex(&vts0[48], 1, 2),
	gsSPVertex(&vts0[55], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[64], 1, 0),
	gsSPVertex(&vts0[65], 1, 1),
	gsSPVertex(&vts0[57], 1, 2),
	gsSPVertex(&vts0[56], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[65], 1, 0),
	gsSPVertex(&vts0[66], 1, 1),
	gsSPVertex(&vts0[58], 1, 2),
	gsSPVertex(&vts0[57], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[66], 1, 0),
	gsSPVertex(&vts0[67], 1, 1),
	gsSPVertex(&vts0[59], 1, 2),
	gsSPVertex(&vts0[58], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[67], 1, 0),
	gsSPVertex(&vts0[68], 1, 1),
	gsSPVertex(&vts0[60], 1, 2),
	gsSPVertex(&vts0[59], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[68], 1, 0),
	gsSPVertex(&vts0[69], 1, 1),
	gsSPVertex(&vts0[61], 1, 2),
	gsSPVertex(&vts0[60], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[69], 1, 0),
	gsSPVertex(&vts0[70], 1, 1),
	gsSPVertex(&vts0[62], 1, 2),
	gsSPVertex(&vts0[61], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[70], 1, 0),
	gsSPVertex(&vts0[71], 1, 1),
	gsSPVertex(&vts0[63], 1, 2),
	gsSPVertex(&vts0[62], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[71], 1, 0),
	gsSPVertex(&vts0[64], 1, 1),
	gsSPVertex(&vts0[56], 1, 2),
	gsSPVertex(&vts0[63], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[72], 1, 0),
	gsSPVertex(&vts0[73], 1, 1),
	gsSPVertex(&vts0[65], 1, 2),
	gsSPVertex(&vts0[64], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[73], 1, 0),
	gsSPVertex(&vts0[74], 1, 1),
	gsSPVertex(&vts0[66], 1, 2),
	gsSPVertex(&vts0[65], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[74], 1, 0),
	gsSPVertex(&vts0[75], 1, 1),
	gsSPVertex(&vts0[67], 1, 2),
	gsSPVertex(&vts0[66], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[75], 1, 0),
	gsSPVertex(&vts0[76], 1, 1),
	gsSPVertex(&vts0[68], 1, 2),
	gsSPVertex(&vts0[67], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[76], 1, 0),
	gsSPVertex(&vts0[77], 1, 1),
	gsSPVertex(&vts0[69], 1, 2),
	gsSPVertex(&vts0[68], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[77], 1, 0),
	gsSPVertex(&vts0[78], 1, 1),
	gsSPVertex(&vts0[70], 1, 2),
	gsSPVertex(&vts0[69], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[78], 1, 0),
	gsSPVertex(&vts0[79], 1, 1),
	gsSPVertex(&vts0[71], 1, 2),
	gsSPVertex(&vts0[70], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[79], 1, 0),
	gsSPVertex(&vts0[72], 1, 1),
	gsSPVertex(&vts0[64], 1, 2),
	gsSPVertex(&vts0[71], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[80], 1, 0),
	gsSPVertex(&vts0[81], 1, 1),
	gsSPVertex(&vts0[73], 1, 2),
	gsSPVertex(&vts0[72], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[81], 1, 0),
	gsSPVertex(&vts0[82], 1, 1),
	gsSPVertex(&vts0[74], 1, 2),
	gsSPVertex(&vts0[73], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[82], 1, 0),
	gsSPVertex(&vts0[83], 1, 1),
	gsSPVertex(&vts0[75], 1, 2),
	gsSPVertex(&vts0[74], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[83], 1, 0),
	gsSPVertex(&vts0[84], 1, 1),
	gsSPVertex(&vts0[76], 1, 2),
	gsSPVertex(&vts0[75], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[84], 1, 0),
	gsSPVertex(&vts0[85], 1, 1),
	gsSPVertex(&vts0[77], 1, 2),
	gsSPVertex(&vts0[76], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[85], 1, 0),
	gsSPVertex(&vts0[86], 1, 1),
	gsSPVertex(&vts0[78], 1, 2),
	gsSPVertex(&vts0[77], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[86], 1, 0),
	gsSPVertex(&vts0[87], 1, 1),
	gsSPVertex(&vts0[79], 1, 2),
	gsSPVertex(&vts0[78], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[87], 1, 0),
	gsSPVertex(&vts0[80], 1, 1),
	gsSPVertex(&vts0[72], 1, 2),
	gsSPVertex(&vts0[79], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[88], 1, 0),
	gsSPVertex(&vts0[89], 1, 1),
	gsSPVertex(&vts0[81], 1, 2),
	gsSPVertex(&vts0[80], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[89], 1, 0),
	gsSPVertex(&vts0[90], 1, 1),
	gsSPVertex(&vts0[82], 1, 2),
	gsSPVertex(&vts0[81], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[90], 1, 0),
	gsSPVertex(&vts0[91], 1, 1),
	gsSPVertex(&vts0[83], 1, 2),
	gsSPVertex(&vts0[82], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[91], 1, 0),
	gsSPVertex(&vts0[92], 1, 1),
	gsSPVertex(&vts0[84], 1, 2),
	gsSPVertex(&vts0[83], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[92], 1, 0),
	gsSPVertex(&vts0[93], 1, 1),
	gsSPVertex(&vts0[85], 1, 2),
	gsSPVertex(&vts0[84], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[93], 1, 0),
	gsSPVertex(&vts0[94], 1, 1),
	gsSPVertex(&vts0[86], 1, 2),
	gsSPVertex(&vts0[85], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[94], 1, 0),
	gsSPVertex(&vts0[95], 1, 1),
	gsSPVertex(&vts0[87], 1, 2),
	gsSPVertex(&vts0[86], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[95], 1, 0),
	gsSPVertex(&vts0[88], 1, 1),
	gsSPVertex(&vts0[80], 1, 2),
	gsSPVertex(&vts0[87], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[96], 1, 0),
	gsSPVertex(&vts0[97], 1, 1),
	gsSPVertex(&vts0[89], 1, 2),
	gsSPVertex(&vts0[88], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[97], 1, 0),
	gsSPVertex(&vts0[98], 1, 1),
	gsSPVertex(&vts0[90], 1, 2),
	gsSPVertex(&vts0[89], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[98], 1, 0),
	gsSPVertex(&vts0[99], 1, 1),
	gsSPVertex(&vts0[91], 1, 2),
	gsSPVertex(&vts0[90], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[99], 1, 0),
	gsSPVertex(&vts0[100], 1, 1),
	gsSPVertex(&vts0[92], 1, 2),
	gsSPVertex(&vts0[91], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[100], 1, 0),
	gsSPVertex(&vts0[101], 1, 1),
	gsSPVertex(&vts0[93], 1, 2),
	gsSPVertex(&vts0[92], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[101], 1, 0),
	gsSPVertex(&vts0[102], 1, 1),
	gsSPVertex(&vts0[94], 1, 2),
	gsSPVertex(&vts0[93], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[102], 1, 0),
	gsSPVertex(&vts0[103], 1, 1),
	gsSPVertex(&vts0[95], 1, 2),
	gsSPVertex(&vts0[94], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[103], 1, 0),
	gsSPVertex(&vts0[96], 1, 1),
	gsSPVertex(&vts0[88], 1, 2),
	gsSPVertex(&vts0[95], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[104], 1, 0),
	gsSPVertex(&vts0[105], 1, 1),
	gsSPVertex(&vts0[97], 1, 2),
	gsSPVertex(&vts0[96], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[105], 1, 0),
	gsSPVertex(&vts0[106], 1, 1),
	gsSPVertex(&vts0[98], 1, 2),
	gsSPVertex(&vts0[97], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[106], 1, 0),
	gsSPVertex(&vts0[107], 1, 1),
	gsSPVertex(&vts0[99], 1, 2),
	gsSPVertex(&vts0[98], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[107], 1, 0),
	gsSPVertex(&vts0[108], 1, 1),
	gsSPVertex(&vts0[100], 1, 2),
	gsSPVertex(&vts0[99], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[108], 1, 0),
	gsSPVertex(&vts0[109], 1, 1),
	gsSPVertex(&vts0[101], 1, 2),
	gsSPVertex(&vts0[100], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[109], 1, 0),
	gsSPVertex(&vts0[110], 1, 1),
	gsSPVertex(&vts0[102], 1, 2),
	gsSPVertex(&vts0[101], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[110], 1, 0),
	gsSPVertex(&vts0[111], 1, 1),
	gsSPVertex(&vts0[103], 1, 2),
	gsSPVertex(&vts0[102], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[111], 1, 0),
	gsSPVertex(&vts0[104], 1, 1),
	gsSPVertex(&vts0[96], 1, 2),
	gsSPVertex(&vts0[103], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[112], 1, 0),
	gsSPVertex(&vts0[113], 1, 1),
	gsSPVertex(&vts0[105], 1, 2),
	gsSPVertex(&vts0[104], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[113], 1, 0),
	gsSPVertex(&vts0[114], 1, 1),
	gsSPVertex(&vts0[106], 1, 2),
	gsSPVertex(&vts0[105], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[114], 1, 0),
	gsSPVertex(&vts0[115], 1, 1),
	gsSPVertex(&vts0[107], 1, 2),
	gsSPVertex(&vts0[106], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[115], 1, 0),
	gsSPVertex(&vts0[116], 1, 1),
	gsSPVertex(&vts0[108], 1, 2),
	gsSPVertex(&vts0[107], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[116], 1, 0),
	gsSPVertex(&vts0[117], 1, 1),
	gsSPVertex(&vts0[109], 1, 2),
	gsSPVertex(&vts0[108], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[117], 1, 0),
	gsSPVertex(&vts0[118], 1, 1),
	gsSPVertex(&vts0[110], 1, 2),
	gsSPVertex(&vts0[109], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[118], 1, 0),
	gsSPVertex(&vts0[119], 1, 1),
	gsSPVertex(&vts0[111], 1, 2),
	gsSPVertex(&vts0[110], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[119], 1, 0),
	gsSPVertex(&vts0[112], 1, 1),
	gsSPVertex(&vts0[104], 1, 2),
	gsSPVertex(&vts0[111], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[120], 1, 0),
	gsSPVertex(&vts0[121], 1, 1),
	gsSPVertex(&vts0[113], 1, 2),
	gsSPVertex(&vts0[112], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[121], 1, 0),
	gsSPVertex(&vts0[122], 1, 1),
	gsSPVertex(&vts0[114], 1, 2),
	gsSPVertex(&vts0[113], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[122], 1, 0),
	gsSPVertex(&vts0[123], 1, 1),
	gsSPVertex(&vts0[115], 1, 2),
	gsSPVertex(&vts0[114], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[123], 1, 0),
	gsSPVertex(&vts0[124], 1, 1),
	gsSPVertex(&vts0[116], 1, 2),
	gsSPVertex(&vts0[115], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[124], 1, 0),
	gsSPVertex(&vts0[125], 1, 1),
	gsSPVertex(&vts0[117], 1, 2),
	gsSPVertex(&vts0[116], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[125], 1, 0),
	gsSPVertex(&vts0[126], 1, 1),
	gsSPVertex(&vts0[118], 1, 2),
	gsSPVertex(&vts0[117], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[126], 1, 0),
	gsSPVertex(&vts0[127], 1, 1),
	gsSPVertex(&vts0[119], 1, 2),
	gsSPVertex(&vts0[118], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[127], 1, 0),
	gsSPVertex(&vts0[120], 1, 1),
	gsSPVertex(&vts0[112], 1, 2),
	gsSPVertex(&vts0[119], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPEndDisplayList()
};

static Material materials[] = {
	{ { 0.7898538, 0.81333333, 0.6940445 }, NULL },
};

Pair tab_torus[] = {
	{ &materials[0], drawmesh0 },
	{ NULL, NULL }
};

